---
- block:

  - name: Install libraries from apt
    apt:
      name:
        - "binutils-arm-none-eabi"
        # provides tcmalloc linker
        - "libgoogle-perftools-dev"
        - "libgoogle-perftools4"
        - "google-perftools"
        - "libarchive-zip-perl"
        - "libassimp-dev"
        - "libatlas-dev"
        - "libatlas3-base"
        - "libboost-all-dev"
        - "libdc1394-22-dev"
        - "libdevil-dev"
        - "libffi-dev"
        - "libftgl-dev"
        - "libftgl2"
        - "libgcrypt20"
        - "libgeographiclib-dev"
        - "libglademm-2.4-1c2a"
        - "libgles2-mesa-dev"
        - "libglew-dev"
        - "libgstreamer-plugins-base0.10-dev"
        - "libgstreamer0.10-dev"
        - "libgtkglextmm-x11-1.2-0"
        - "libgtkglextmm-x11-1.2-dev"
        - "libgtkmm-2.4-1c2a"
        - "liblapack-dev"
        - "libleveldb-dev"
        - "liblua5.2-dev"
        - "libnewlib-arm-none-eabi"
        - "libpcap-dev"
        # This is an unspecified dependency needed for psycopg2 - https://github.com/psycopg/psycopg2/issues/488
        - "libpq-dev"
        - "libproj-dev"
        - "libqt5core5a"
        - "libqt5gui5"
        - "libqt5opengl5"
        - "libqt5opengl5-dev"
        - "libqt5qml5"
        - "libqt5svg5"
        - "libqt5svg5-dev"
        - "libqt5test5"
        - "libqt5widgets5"
        - "libqt5xml5"
        - "libqt5xmlpatterns5"
        - "libqt5xmlpatterns5-dev"
        - "libqwt-dev"
        - "libraw1394-11"
        - "libreadline6-dev"
        - "libssl-dev"
        - "libsuitesparse-dev"
        - "libusb-1.0-0"
        - "libx264-dev"
        - "libxml2-utils"
        - "libyaml-dev"
        - "llvm-4.0"
        - "valgrind"
        # 32-bit Compatibility packages for QNX IDE (see INFRA-3714)
        - "libgtk2.0-0:i386"
        - "libpangox-1.0-0:i386"
        - "libpangoxft-1.0-0:i386"
        - "libidn11:i386"
        - "libglu1-mesa:i386"
        - "libxtst6:i386"
        - "lib32z1"
        - "lib32ncurses5"
        - "lib32bz2-1.0"
        - "srecord"
      install_recommends: no
      cache_valid_time: "{{ apt_cache_valid_time }}"
  become: yes
